std::experimental::pmr::memory_resource(3)

NAME
std::experimental::pmr::memory_resource - std::experimental::pmr::memory_resource

Synopsis
   Defined in header <experimental/memory_resource>
   class memory_resource; (library fundamentals TS)
   The class std::experimental::pmr::memory_resource is an abstract interface to an
   unbounded set of classes encapsulating memory resources.

Member functions
   constructor constructs a new memory_resource
   (implicitly declared) (public member function)
   destructor destructs an memory_resource
   [virtual] (virtual public member function)
   operator= Implicitly declared copy assignment operator
   (implicitly declared) (public member function)

Public member functions
   allocate allocates memory
                        (public member function)
   deallocate deallocates memory
                        (public member function)
   is_equal compare for equality with another memory_resource
                        (public member function)

Protected member functions
   do_allocate allocates memory
   [virtual] (virtual protected member function)
   do_deallocate deallocates memory
   [virtual] (virtual protected member function)
   do_is_equal compare for equality with another memory_resource
   [virtual] (virtual protected member function)
  Non-member-functions
   operator== compare two memory_resources
   operator!= (function)